<template>
  <div class="knowledge-con">

    <navs :isLogin="isLogin" :rightText="rightText" @went="goBack()"></navs>
    <tabs :tabArray="tabArray" @clickSelect="clickSelect"></tabs>

    <div class="knowledge-list-con" v-if="tabIndex==0">

      <mistake :mistake-array="mArray"></mistake>
    </div>
    <div class="knowledge-list-con" v-else-if="tabIndex==1">
      <mistake :mistake-array="mArray"></mistake>

    </div>
    <div class="knowledge-list-con" v-else-if="tabIndex==2">
      <mistake :mistake-array="mArray"></mistake>
    </div>
    <div class="knowledge-list-con" v-else-if="tabIndex==3">
      <mistake :mistake-array="mArray"></mistake>
    </div>
    <div class="knowledge-list-con" v-else-if="tabIndex==4">

      <mistake :mistake-array="mArray"></mistake>
    </div>
    <footed :inWhitch="inWhitch"></footed>
  </div>
</template>

<script>
  import navs from '../components/headers.vue';
  import tabs from '../components/tabs.vue';
  import footed from '../components/footer.vue';
  import mistake from '../components/mistakeList.vue';
  import M from '../utils/api.js';
  export default {
    name: 'loading',
    data () {
      return {
        heights: window.innerHeight,
        isLogin: false,
        rightText: "我的错题本",
        isFooter: false,
        isChecked: true,
        inWhitch:1,
        tabIndex: 0,
        shareArr: [{
          name: "123"
        }, {
          name: "分享"
        }],
        tabArray: [],
        mArray:[]

      }
    },
    created(){
        this.getSubjectList();
    },
    methods: {
      goBack(){
        window.history.go(-1);
      },
      clickSelect(i){
        var vm = this;
        this.tabArray.forEach((it, idx) => {
          it.isOn = idx == i;
          vm.tabIndex = i;
        })
        vm.getErrorList(vm.tabArray[i].id);

      },
      shareClick(i){
        switch (i) {
          case 0:
            console.log("ok");
            break;
          case 1:
            console.log("share");
            break;
        }
      },
      getSubjectList(){
        var vm=this,obj={};
        M.getSubjectList(function(data){
          vm.subjectList=data.subjects;
          vm.tabArray=vm.subjectList.map((it,idx)=>{
          it.isOn=idx===0;
          return {
              isOn:it.isOn,
              tNames:it.subjectName,
              id:it.subjectId
            }
          });
          vm.getErrorList(vm.subjectList[0].subjectId);
        });
      },

      getErrorList(sId){
        var vm=this,obj={subjectId:sId};
        M.errorExercise(function(data){


        },obj)
      }
    },
    components: {
      navs,
      tabs,
      footed,
      mistake
    }
  }
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
  @import "../styles/base.css";
  @import "../styles/loading.css";
</style>
